NFS does not use rootwrap for mount command

Bug #1223879 reported by Eric Harney on 2013-09-11
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cinder
High
Walt Boring

Bug Description

It looks like NFS is no longer using rootwrap when running the mount command.

2013-09-11 14:55:41.919 8586 INFO cinder.volume.manager [-] Updating volume
status
2013-09-11 14:55:41.971 8586 WARNING cinder.volume.drivers.nfs [-] Exception
during mounting Unexpected error while running command.
Command: sudo mount -t nfs -o rw,sync 192.168.100.30:/nfs/cs2_cinder1
/etc/cinder/volumes/08624ff4b087fa2469aa49ffe177f16a
Exit code: 1
Stdout: ''
Stderr: 'sudo: no tty present and no askpass program specified\n'

My guess is that this was introduced with https://review.openstack.org/#/c/43064 . Presumably affects GlusterFS as well but I haven't tried that.

Eric Harney (eharney) on 2013-09-11
description: updated
Changed in cinder:
status: New → Triaged
assignee: nobody → Ben Swartzlander (bswartz)
tags: added: brick netapp nfs

Fix proposed to branch: master
Review: https://review.openstack.org/47610

Changed in cinder:
assignee: Ben Swartzlander (bswartz) → Walt Boring (walter-boring)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/47610
Committed: http://github.com/openstack/cinder/commit/436b28b514806661bcb4afd239923d7a495f795e
Submitter: Jenkins
Branch: master

commit 436b28b514806661bcb4afd239923d7a495f795e
Author: Walter A. Boring IV <email address hidden>
Date: Fri Sep 20 10:33:54 2013 -0700

    Remove default root_helper of sudo for remotefs

    This patch removes the default root_helper of sudo
    for the RemoteFsClient. We should be using the
    cinder.utils.get_root_helper()

    Fixes Bug #1223879

    Change-Id: I8ba61cd6ac09b85b9ca924a9cf43c2dcea8e6c15

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers